Bug 312591 - less: dependency on "which" missing
Summary: less: dependency on "which" missing
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: less   
(Show other bugs)
Version: rawhide
Hardware: All Linux
low
low
Target Milestone: ---
Assignee: Ivana Varekova
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: EasyFix, Patch, Reopened
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-09-29 20:52 UTC by Ville Skyttä
Modified: 2007-11-30 22:12 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-13 15:19:43 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Ville Skyttä 2007-09-29 20:52:23 UTC
lesspipe.sh uses "which", but the dependency on it is missing in the less package. 
Fix: "Requires: which"

Comment 1 Ivana Varekova 2007-10-01 09:32:24 UTC
Thanks. Fixed in less-406-12.fc8.

Comment 2 Lubomir Kundrak 2007-11-13 12:03:41 UTC
Please revert the change, it eats babies.

12:59 <lkundrak> -   if [ -x "`which identify`" ]; then
12:59 <lkundrak> +   if [ -x /usr/bin/identify ]; then

Here's an alternative fix without the unnecessary dependency.

Comment 3 Ivana Varekova 2007-11-13 15:19:43 UTC
Thanks. Fixed in less-409-2.fc9.


Note You need to log in before you can comment on or make changes to this bug.